Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
ObjectPtrBase Class Referenceabstract

Inherited by ObjectPtrT< T >, ObjectPtrT< Appender >, ObjectPtrT< ErrorHandler >, ObjectPtrT< Filter >, ObjectPtrT< Layout >, ObjectPtrT< Level >, ObjectPtrT< Logger >, ObjectPtrT< LoggerFactory >, ObjectPtrT< LoggerRepository >, ObjectPtrT< LoggingEvent >, ObjectPtrT< Rule >, and ObjectPtrT< spi::LoggerFactory >.

## Public Member Functions
| ObjectPtrBase ()
virtual | ~ObjectPtrBase ()
virtual void * | cast (const Class &cls) const =0

## Static Public Member Functions
static void | checkNull (const int &null)
static void * | exchange (void **destination, void *newValue)

## Constructor & Destructor Documentation

ObjectPtrBase | ( |  | ) |

virtual ~ObjectPtrBase | ( |  | ) |
| virtual

## Member Function Documentation

virtual void* cast | ( | const Class & | cls | ) | const
| pure virtual

static void checkNull | ( | const int & | null | ) |
| static

static void* exchange | ( | void ** | destination,
|  | void * | newValue
| ) |  |
| static

The documentation for this class was generated from the following file:

- objectptr.h